Bug 1325095 (CVE-2016-3632)

Summary: CVE-2016-3632 libtiff: out-of-bounds write in _TIFFVGetField function
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, erik-fedora, phracek, sardella, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-24 08:35:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1299920, 1299921, 1335098, 1335099    
Bug Blocks: 1316881    

Description Andrej Nemec 2016-04-08 08:30:39 UTC
Out-of-bounds write vulnerability was found in _TIFFVGetField function in tif_dirinfo.c, allowing attacker to cause a denial of service or command execution via a crafted TIFF image.

Vulnerable code:

libtiff/tif_dir.c:1073
1068          if (fip->field_type == TIFF_ASCII
1069              || fip->field_readcount == TIFF_VARIABLE
1070              || fip->field_readcount == TIFF_VARIABLE2
1071              || fip->field_readcount == TIFF_SPP
1072              || tv->count > 1) {
1073                 *va_arg(ap, void **) = tv->value;
1074                 ret_val = 1;


Public via:

http://seclists.org/oss-sec/2016/q2/33

Upstream bug:
http://bugzilla.maptools.org/show_bug.cgi?id=2549

Comment 4 errata-xmlrpc 2016-08-02 16:41:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1547 https://rhn.redhat.com/errata/RHSA-2016-1547.html

Comment 5 errata-xmlrpc 2016-08-02 17:01:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1546 https://rhn.redhat.com/errata/RHSA-2016-1546.html